Subject: Calling Menus with Glove Buttons

From: Bob Mason <[email-masked]>
Date: Mon, 6 Dec 1993 00:55:47 -0500

hello...

just wondering if anyone else has seen this peculiarity...
I'm trying to bring up a menu via a powerglove button, 'A' & 'B' in
my case.  So we've modified some code in sgsppt.c to poll the glove
buttons.  In some cases it works quite well, using the arrow-rocker
buttons to shift the user's view.  But if I try to bring up a menu, via
a do_key call, just like the change view buttons the system hangs.
And I _KNOW_ it's not my menu code, because I can call the menu right
up via the keyboard...  Rend will just crash if I try and use a menu
right after a glove button poll.  argh.

Would _anybody_ have any suggestions?

-bob mason
[email-masked]